
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "shards/version"

Gem::Specification.new do |spec|
  spec.name          = "shards"
  spec.version       = Shards::VERSION
  spec.authors       = ["Diego PL"]
  spec.email         = ["diego.piccinini@gmail.com"]

  spec.summary       = %q{Manage shards and sites to many stages and app.}
  spec.description   = %q{The gem read a conf.yml file in a puppet project to know the multitenant sites and shards and manage changes.}
  spec.homepage      = "https://github.com/BookingBug/shards"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "aruba", "~> 0.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "byebug", "~> 10.0"
  spec.add_dependency "dotenv", "~> 2.4"
  spec.add_dependency "net-ssh", "~> 5.0"
  spec.add_dependency "net-scp", "~> 1.2"
  spec.add_dependency "aws-sdk-route53", "~> 1.9"
  spec.add_dependency "aws-sdk-elasticloadbalancing", "~> 1.5"
  spec.add_dependency "aws-sdk-elasticloadbalancingv2", "~> 1.14"
  spec.add_dependency "aws-sdk-ec2", "~> 1.48"
  spec.add_dependency "git", "~> 1.4"
  spec.add_dependency "thor", "~> 0.20"
  spec.add_dependency "terminal-table", "~> 1.8"
end
